combo
Author: Peter G. Baum (peter@dr-baum.net)
Keywords: gnocl, Tcl, gtk, gnome

## NAME

combo - Create and manipulate an entry widget with a drop down list

## SYNOPSIS

combo ?-option optionVal ...?

## OPTIONS

-variable
  name of a (global) variable which is changed whenever the entry is changed
  type: string
  default: ""

-strings
  Members of the drop down list
  type: list of strings
  default: ""

-mustMatch
  Whether or not the value must match a member of the drop down list
  type: boolean
  default: false

-okIfEmpty
  Whether or not the value can be the empty string
  type: boolean
  default: false

-caseSensitive
  Whether or not the matching is case sensitive
  type: boolean
  default: false

-editable
  Whether or not the the entry is editable
  type: boolean
  default: true

-maxLength
  maximum length of entry value (-1 means not limited)
  type: integer
  default: -1

-tooltip
  Message that appear next to this widget when the mouse pointer is held over it for a short amount of time.
  type: string
  default: ""

## DESCRIPTION

## WIDGET COMMANDS

The combo command creates a new Tcl command whose name is an ID returned on widget creation. This command may be used to invoke various operations on the widget. It has the following general form:
ID option ?arg arg ...?
option and arg determine the exact behavior of the command. The following commands are possible for combo widgets:

ID getValue
  Returns the contents of the entry.

ID setValue text
  Sets the contents of the entry.

## KEYWORDS

Copyright © 2001 - 2002 P. G. Baum